Skip to content

General Log Entries (Notes & Collector Actions)

Notes vs Dispute notes

general-log-entries returns collector actions and free-text user_note values written in BT Collections. It does not return Dispute Common Service (DCS) internal/external dispute notes. Use the Dispute Service APIs for dispute notes.

Log of manual collector actions

Whenever a credit collector performs an action (e.g. he/she sends a reminder or marks a document as disputed) a log entry will be saved.

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Collections%20API%201.6.8#/Collection/getGeneralLogEntries

Permission / Auth

Bearer token with collection scope (read).

Header: Authorization: Bearer <token>

Query Parameters
Name In Required Type Description
companyId query No string Optional parameter to filter on a specific company. Ignored when "cursor" is provided. Fetch the list of available companies from the "/companies" endpoint.
modifiedSince query No string (date-time) Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00").
cursor query No string Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info.
Example Request
curl -X GET 'https://{your-collections-platform-host}/api/v1/general-log-entries' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <token>'
Example Response
{
  "data": [
    {
      "id": 1,
      "created_at": "2024-01-15T12:00:00+00:00",
      "modified_at": "2024-01-15T12:00:00+00:00",
      "has_attachment": false,
      "constituent_name": "string",
      "debtor_id": 1,
      "debtor_reference": "string",
      "subject": "string",
      "action": "string",
      "sub_action": "string",
      "send_method": "string",
      "procedure_name": "string",
      "procedure_step_name": "string",
      "reminder_amounts_currency": "string",
      "reminder_total_amount": 1.0,
      "reminder_overdue_amount": 1.0,
      "reminder_interests": 1.0,
      "reminder_costs": 1.0,
      "reminder_procedure_step_cost": 1.0,
      "invoice_ids": "string",
      "document_ids": "string",
      "document_set_id": 1,
      "sentdocument_id": 1,
      "email_id": 1,
      "code": "string",
      "created_by_user_id": 1,
      "user_note": "string",
      "ogm": "string",
      "template_name": "string"
    }
  ],
  "next_batch_url": null,
  "next_batch_cursor": null,
  "resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
  "resume_cursor": "opaque-resume-cursor"
}
Batch envelope
Field Description
data Array of entities in this batch (max 100).
next_batch_cursor / next_batch_url Pass cursor on the next request until empty.
resume_cursor / resume_url Available when the full set is exhausted; use later for incremental sync.
GeneralLogEntry fields
Field Type Description
id integer (int64) Unique ID. Uniqueness is only guaranteed for all entities within this endpoint.)
created_at string (date-time) The time this log entry is created
modified_at string (date-time) Last modification date of this entity
has_attachment boolean Indicates if the log entry has an associated attachment. This can be e.g. the PDF of a sent reminder or an attachment the user has uploaded manually.
constituent_name string Name of the constituent at the time the log entry was created.
debtor_id integer (int64) ID of the debtor.
debtor_reference string Reference of the debtor at the time the log entry was created.
subject string The subject of the log entry. Indicates where the logging is applicable on. Possible values are 'debtor', 'document', 'payment_plan', 'message', 'company' (for e.g. Imports, Changes in configuration, ...) and 'platform' (for e.g. platform-widge changes in configuration)
action string The action that was taken.
sub_action string The subaction that was taken.
send_method string In case of a reminder, the way the reminder was sent.
procedure_name string The name of the procedure of the debtor when this action was executed.
procedure_step_name string The name of the procedure step of the debtor at the moment this action was executed.
reminder_amounts_currency string The currency for the "reminder amounts" in this log entry.
reminder_total_amount number (float) The total amount of a reminder.
reminder_overdue_amount number (float) The overdue amount of a reminder.
reminder_interests number (float) The interests of a reminder.
reminder_costs number (float) The costs of a reminder.
reminder_procedure_step_cost number (float) The costs of a reminder for the current procedure step.
invoice_ids string Deprecated
document_ids string A comma-separated list of linked document ids.
document_set_id integer (int64) Internal BT Collections ID of the documentset which is used in this log entry.
sentdocument_id integer (int64) Internal BT Collections ID of the sent-document (e.g. the generated pdf) which is used in this log entry.
email_id integer (int64) Internal BT Collections ID of the email that was sent.
code string A code that describes individual types of log entries. E.g. dispute codes can be created and chosen by the user, when registering a dispute. This means that there are no restrictions in possible values. Some values are created by BT Collections, some by the user via settings. Other examples: dispute codes, outsource codes, note codes (when writing a manual note).
created_by_user_id integer (int64) Internal BT Collections ID of the user which created the log entry.
user_note string Free text added by the user when performing some action to trigger this log entry. E.g. moving a document to dispute.
ogm string Code for structured communication which can be used as a comment for bank transfers
template_name string The template name which is used in this log entry

Download the content of an attachment of a general log entry

Download the content of an attachment of a general log entry. You can get a list of all possible email attachments from the "/general-log-entries" endpoint. Only the log entries with property "has_attachment"=true will have an attachment.

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Collections%20API%201.6.8#/Collection/getGeneralLogEntryAttachmentContent

Permission / Auth

Bearer token with collection scope (read).

Header: Authorization: Bearer <token>

Query Parameters
Name In Required Type Description
generalLogEntryId query Yes integer Required parameter that corresponds with the id of the general log entry from which you want to fetch the attachment.
Example Request
curl -X GET 'https://{your-collections-platform-host}/api/v1/general-log-entry-attachment-content?generalLogEntryId={generalLogEntryId}' \
    -H 'accept: application/octet-stream' \
    -H 'Authorization: Bearer <token>'
Example Response

Binary file download (application/octet-stream).